/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.core;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;

@Entity
public class NonAvailability extends AbstractCalendarEvent {

    private static final long serialVersionUID = 6384148771431566674L;

    /**
     * Employee property
     */
    public static final String EMPLOYEE = "employee"; //$NON-NLS-1$

    public static final String VISIBLE = "visible"; //$NON-NLS-1$

    private Employee employee;

    private boolean visible = true;

    public boolean isVisible() {
        return this.visible;
    }

    /**
     * Sets the visibility of this non availability. This field is used to
     * determine which non-availabilities to be displayed on report.
     * 
     * @param visible
     *            True to display the non availability
     */
    public void setVisible(boolean visible) {
        this.visible = visible;
    }

    @ManyToOne(optional = false)
    public Employee getEmployee() {
        return this.employee;
    }

    public void setEmployee(Employee employee) {
        this.changeSupport.firePropertyChange(EMPLOYEE, this.employee, this.employee = employee);
    }

}
