/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.core;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;

@Entity
public class Shift extends AbstractCalendarEvent {

    private static final long serialVersionUID = -6588149832619562142L;

    /**
     * Team property
     */
    public static final String TEAM = "team"; //$NON-NLS-1$

    private Team team;

    @ManyToOne(optional = false)
    public Team getTeam() {
        return this.team;
    }

    public void setTeam(Team team) {
        this.changeSupport.firePropertyChange(TEAM, this.team, //$NON-NLS-1$
                this.team = team);
    }

    @Override
    public String toString() {
        return "Shift [team=" + team + ", getEndDate()=" + getEndDate() + ", getStartDate()=" + getStartDate() + "]";
    }
}
