/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.core.comparators;

import java.util.Comparator;

import org.apache.commons.collections.ComparatorUtils;
import org.apache.commons.collections.Transformer;

import com.planimod.core.Team;

/**
 * Provide comparator for team.
 * 
 * @author Patrik Dufresne
 * 
 */
public class TeamComparators {

    /**
     * Comparator to sort section by name.
     * 
     * @return
     */
    @SuppressWarnings("unchecked")
    public static Comparator<Team> byName() {
        return ComparatorUtils.nullLowComparator(ComparatorUtils.transformedComparator(new HumanNaturalComparator(), new Transformer() {
            @Override
            public Object transform(Object arg0) {
                return ((Team) arg0).getName();
            }
        }));
    }

}
