/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.core.planif;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Verify if the problem is feasible
 * 
 * @author Karl St-Cyr
 * 
 */
public class CheckFeasible extends SolveRunnable {

    private static final transient Logger LOGGER = LoggerFactory.getLogger(CheckFeasible.class);

    public CheckFeasible(ProblemBuilder problem) {
        super(problem);
    }

    @Override
    protected boolean setUp() throws GeneratePlanifException {
        LOGGER.info("check if problem is feasible"); //$NON-NLS-1$
        return true;
    }
}