/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.core.planif;

import java.util.Collection;

import com.planimod.core.Task;

/**
 * This class is used in cases where the generator can't assign an employee to every task.
 * 
 * 
 * @author Karl St-Cyr
 * 
 */
public class UnassignedTaskCallbackReason implements ICallbackReason {

    Collection<Task> tasks;

    /**
     * 
     * @param tasks
     *            the collection of unassigned tasks
     */
    public UnassignedTaskCallbackReason(Collection<Task> tasks) {
        if (tasks == null) {
            throw new IllegalArgumentException();
        }
        this.tasks = tasks;
    }

    public Collection<Task> getTasks() {
        return tasks;
    }

}
