/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.ui;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.util.Policy;

/**
 * The policy class top be used for Planimod application specific.
 */
public class PlanimodPolicy {

    /**
     * This function should be used when an operation want to display an
     * unexpected runtime error.
     * <p>
     * This implementation use the JFace {@link Policy} class to show the error.
     * 
     * @param e
     *            the exception.
     */
    public static void showException(Throwable e) {
        String message = e.getLocalizedMessage();
        Policy.getStatusHandler().show(new Status(IStatus.ERROR, Policy.JFACE, message, e), null);
    }

}
