/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.ui.databinding;

import java.util.Date;

import org.eclipse.core.databinding.observable.value.ComputedValue;
import org.eclipse.core.databinding.observable.value.IObservableValue;

import com.patrikdufresne.managers.ManagerException;
import com.planimod.core.PlanimodManagers;
import com.planimod.core.TimeRanges;

public class ObservableWeekStart extends ComputedValue {

    private IObservableValue value;

    private PlanimodManagers managers;

    public ObservableWeekStart(PlanimodManagers managers, IObservableValue value) {
        this.managers = managers;
        this.value = value;
    }

    @Override
    protected Object calculate() {
        if (!(this.value.getValue() instanceof Date)) {
            return null;
        }
        try {
            return TimeRanges.getWeekStart((Date) this.value.getValue(), this.managers.getApplicationSettingManager().getFirstDayOfWeek());
        } catch (ManagerException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
        return null;
    }

}
