/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.ui.preference;

import org.eclipse.jface.preference.IPreferenceStore;

//TODO This should be rellocated at the Main.
public class PlanimodPreferences {

    public static final String DATE = "context.date"; //$NON-NLS-1$

    public static final String SHOW_LINES = "showLines"; //$NON-NLS-1$

    private static IPreferenceStore preferenceStore;

    /**
     * Return the singleton preference store for this application.
     * 
     * @return
     */
    public static IPreferenceStore getPreferenceStore() {
        return preferenceStore;
    }

    /**
     * Sets the preferences store for planimou
     * 
     * @param store
     */
    public static void setPreferenceStore(IPreferenceStore store) {
        preferenceStore = store;
    }

}
