/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.ui.viewers;

import org.eclipse.core.databinding.conversion.Converter;
import org.eclipse.core.databinding.conversion.IConverter;

import com.planimod.core.Employee;

public class EmployeeViewerUtils {
    /**
     * This function may be used to display the employee name (combined).
     * 
     * @param e
     * @return
     */
    public static String getName(Employee employee) {
        String name = "";//$NON-NLS-1$
        if (employee.getFirstname() != null) {
            name += employee.getFirstname();
        }
        if (employee.getLastname() != null) {
            if (employee.getFirstname() != null) {
                name += " "; //$NON-NLS-1$
            }
            name += employee.getLastname();
        }
        return name.trim();
    }

    /**
     * Create a new converter to convert an employee object into a string. This
     * implementation return the employee's fullname.
     * 
     * @return the converter
     */
    public static IConverter fullnameConverter() {
        return new Converter(Employee.class, String.class) {
            @Override
            public Object convert(Object fromObject) {
                if (fromObject == null) {
                    return ""; //$NON-NLS-1$
                }
                return getName((Employee) fromObject);
            }
        };
    }

}
